Operation (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum Operation

    java.lang.Object
      java.lang.Enum<Operation>
          org.apache.hadoop.mapred.Operation

All Implemented Interfaces:
  Serializable, Comparable<Operation>

    public enum Operation

extends Enum<Operation>

Generic operation that maps to the dependent set of ACLs that drive the authorization of the operation.

Enum Constant Summary
`FAIL_TASK`
`KILL_JOB`
`KILL_TASK`
`SET_JOB_PRIORITY`
`SUBMIT_JOB`
`VIEW_JOB_COUNTERS`
`VIEW_JOB_DETAILS`
`VIEW_TASK_LOGS`

Field Summary
`JobACL` | `jobACLNeeded`
`org.apache.hadoop.mapred.QueueManager.QueueACL` | `qACLNeeded`

Method Summary
`static Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIEW_JOB_COUNTERS

    public static final Operation VIEW_JOB_COUNTERS

### VIEW_JOB_DETAILS

    public static final Operation VIEW_JOB_DETAILS

### VIEW_TASK_LOGS

    public static final Operation VIEW_TASK_LOGS

### KILL_JOB

    public static final Operation KILL_JOB

### FAIL_TASK

    public static final Operation FAIL_TASK

### KILL_TASK

    public static final Operation KILL_TASK

### SET_JOB_PRIORITY

    public static final Operation SET_JOB_PRIORITY

### SUBMIT_JOB

    public static final Operation SUBMIT_JOB

Field Detail

### qACLNeeded

    public org.apache.hadoop.mapred.QueueManager.QueueACL qACLNeeded

### jobACLNeeded

    public JobACL jobACLNeeded

Method Detail

### values

    public static Operation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Operation c : Operation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation